%define upstream_name    Data-Float
%define upstream_version 0.015

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Details of the floating point data type
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(constant)
BuildRequires: perl(integer)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module is about the native floating point numerical data type. A
floating point number is one of the types of datum that can appear in the
numeric part of a Perl scalar. This module supplies constants describing
the native floating point type, classification functions, and functions to
manipulate floating point values at a low level.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue Jul 08 2025 umeabot <umeabot> 0.15.0-2.mga10
+ Revision: 2251299
- Mageia 10 Mass Rebuild

* Sat Apr 12 2025 tv <tv> 0.15.0-1.mga10
+ Revision: 2174861
- update to 0.015

* Sun Mar 30 2025 tv <tv> 0.14.0-1.mga10
+ Revision: 2171669
- update to 0.014

* Sun Mar 20 2022 umeabot <umeabot> 0.13.0-5.mga9
+ Revision: 1808685
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.13.0-4.mga8
+ Revision: 1503706
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.13.0-3.mga7
+ Revision: 1282624
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.13.0-2.mga7
+ Revision: 1163766
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.13.0-1.mga7
+ Revision: 1159806
- new release

* Sat Jun 18 2016 pterjan <pterjan> 0.12.0-7.mga6
+ Revision: 1024803
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.12.0-6.mga6
+ Revision: 947832
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.12.0-5.mga5
+ Revision: 750755
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.12.0-4.mga5
+ Revision: 684200
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.12.0-3.mga4
+ Revision: 510608
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.12.0-2.mga3
+ Revision: 365322
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 05 2012 jquelin <jquelin> 0.12.0-1.mga2
+ Revision: 218678
- update to 0.012

* Tue Jan 18 2011 jquelin <jquelin> 0.11.0-1.mga1
+ Revision: 22282
- cleaning spec file
- imported package perl-Data-Float

